package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassesssimplementalstate.ElderlyAssessSimpleMentalStatePageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassesssimplementalstate.ElderlyAssessSimpleMentalStateRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassesssimplementalstate.ElderlyAssessSimpleMentalStateSaveReqVO;

public interface ElderlyAssessSimpleMentalStateService {

    Long create(ElderlyAssessSimpleMentalStateSaveReqVO createReqVO);

    void update(ElderlyAssessSimpleMentalStateSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyAssessSimpleMentalStateRespVO get(Long id);

    PageResult<ElderlyAssessSimpleMentalStateRespVO> getPage(ElderlyAssessSimpleMentalStatePageReqVO pageReqVO);
}
